# Create the user account and password. (This is harmless if the
# user account and password already exist.) Note the reference
# to the 'gallery2' database which will be created in the next
# few statements.

USE mysql;

REPLACE INTO user (host, user, password)
 VALUES ('localhost', 'gallery2user', PASSWORD ('{ $gallery2{DbPassword} }'));

REPLACE INTO db (host, db, user, select_priv, insert_priv, update_priv, delete_priv, create_priv, drop_priv, index_priv, alter_priv ) 
 VALUES ('localhost', 'gallery2', 'gallery2user',  'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y');

FLUSH PRIVILEGES;

# Create 'gallery2' database. (Do nothing if the database
# already exists.)

CREATE DATABASE IF NOT EXISTS gallery2;

USE `gallery2`;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_AccessMap`
-- 

CREATE TABLE `g2_AccessMap` (
  `g_accessListId` int(11) NOT NULL default '0',
  `g_userOrGroupId` int(11) NOT NULL default '0',
  `g_permission` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_accessListId`,`g_userOrGroupId`),
  KEY `g2_AccessMap_83732` (`g_accessListId`),
  KEY `g2_AccessMap_48775` (`g_userOrGroupId`),
  KEY `g2_AccessMap_18058` (`g_permission`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_AccessMap`
-- 

INSERT INTO `g2_AccessMap` (`g_accessListId`, `g_userOrGroupId`, `g_permission`) VALUES 
(8, 4, 7),
(9, 4, 7),
(9, 3, 2147483647),
(11, 3, 2147483647),
(11, 4, 775);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_AccessSubscriberMap`
-- 

CREATE TABLE `g2_AccessSubscriberMap` (
  `g_itemId` int(11) NOT NULL default '0',
  `g_accessListId` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_itemId`),
  KEY `g2_AccessSubscriberMap_83732` (`g_accessListId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_AccessSubscriberMap`
-- 

INSERT INTO `g2_AccessSubscriberMap` (`g_itemId`, `g_accessListId`) VALUES 
(7, 11);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_AlbumItem`
-- 

CREATE TABLE `g2_AlbumItem` (
  `g_id` int(11) NOT NULL default '0',
  `g_theme` varchar(32) default NULL,
  `g_orderBy` varchar(128) default NULL,
  `g_orderDirection` varchar(32) default NULL,
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_AlbumItem`
-- 

INSERT INTO `g2_AlbumItem` (`g_id`, `g_theme`, `g_orderBy`, `g_orderDirection`) VALUES 
(7, '', '', 'asc');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_AnimationItem`
-- 

CREATE TABLE `g2_AnimationItem` (
  `g_id` int(11) NOT NULL default '0',
  `g_width` int(11) default NULL,
  `g_height` int(11) default NULL,
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_AnimationItem`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_CacheMap`
-- 

CREATE TABLE `g2_CacheMap` (
  `g_key` varchar(32) NOT NULL default '',
  `g_value` longtext,
  `g_userId` int(11) NOT NULL default '0',
  `g_itemId` int(11) NOT NULL default '0',
  `g_type` varchar(32) NOT NULL default '',
  `g_timestamp` int(11) NOT NULL default '0',
  `g_isEmpty` int(1) default NULL,
  PRIMARY KEY  (`g_key`,`g_userId`,`g_itemId`,`g_type`),
  KEY `g2_CacheMap_75985` (`g_itemId`),
  KEY `g2_CacheMap_21979` (`g_userId`,`g_timestamp`,`g_isEmpty`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_CacheMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_ChildEntity`
-- 

CREATE TABLE `g2_ChildEntity` (
  `g_id` int(11) NOT NULL default '0',
  `g_parentId` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_id`),
  KEY `g2_ChildEntity_52718` (`g_parentId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_ChildEntity`
-- 

INSERT INTO `g2_ChildEntity` (`g_id`, `g_parentId`) VALUES 
(7, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Comment`
-- 

CREATE TABLE `g2_Comment` (
  `g_id` int(11) NOT NULL default '0',
  `g_commenterId` int(11) NOT NULL default '0',
  `g_host` varchar(128) NOT NULL default '',
  `g_subject` varchar(128) default NULL,
  `g_comment` text,
  `g_date` int(11) NOT NULL default '0',
  `g_author` varchar(128) default NULL,
  PRIMARY KEY  (`g_id`),
  KEY `g2_Comment_95610` (`g_date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Comment`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_DataItem`
-- 

CREATE TABLE `g2_DataItem` (
  `g_id` int(11) NOT NULL default '0',
  `g_mimeType` varchar(128) default NULL,
  `g_size` int(11) default NULL,
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_DataItem`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Derivative`
-- 

CREATE TABLE `g2_Derivative` (
  `g_id` int(11) NOT NULL default '0',
  `g_derivativeSourceId` int(11) NOT NULL default '0',
  `g_derivativeOperations` varchar(255) default NULL,
  `g_derivativeOrder` int(11) NOT NULL default '0',
  `g_derivativeSize` int(11) default NULL,
  `g_derivativeType` int(11) NOT NULL default '0',
  `g_mimeType` varchar(128) NOT NULL default '',
  `g_postFilterOperations` varchar(255) default NULL,
  `g_isBroken` int(1) default NULL,
  PRIMARY KEY  (`g_id`),
  KEY `g2_Derivative_85338` (`g_derivativeSourceId`),
  KEY `g2_Derivative_25243` (`g_derivativeOrder`),
  KEY `g2_Derivative_97216` (`g_derivativeType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Derivative`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_DerivativeImage`
-- 

CREATE TABLE `g2_DerivativeImage` (
  `g_id` int(11) NOT NULL default '0',
  `g_width` int(11) default NULL,
  `g_height` int(11) default NULL,
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_DerivativeImage`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_DerivativePrefsMap`
-- 

CREATE TABLE `g2_DerivativePrefsMap` (
  `g_itemId` int(11) default NULL,
  `g_order` int(11) default NULL,
  `g_derivativeType` int(11) default NULL,
  `g_derivativeOperations` varchar(255) default NULL,
  KEY `g2_DerivativePrefsMap_75985` (`g_itemId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_DerivativePrefsMap`
-- 

INSERT INTO `g2_DerivativePrefsMap` (`g_itemId`, `g_order`, `g_derivativeType`, `g_derivativeOperations`) VALUES 
(7, 0, 1, 'thumbnail|150'),
(7, 0, 2, 'scale|640');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_DescendentCountsMap`
-- 

CREATE TABLE `g2_DescendentCountsMap` (
  `g_userId` int(11) NOT NULL default '0',
  `g_itemId` int(11) NOT NULL default '0',
  `g_descendentCount` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_userId`,`g_itemId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_DescendentCountsMap`
-- 

INSERT INTO `g2_DescendentCountsMap` (`g_userId`, `g_itemId`, `g_descendentCount`) VALUES 
(6, 7, 0),
(5, 7, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Entity`
-- 

CREATE TABLE `g2_Entity` (
  `g_id` int(11) NOT NULL default '0',
  `g_creationTimestamp` int(11) NOT NULL default '0',
  `g_isLinkable` int(1) NOT NULL default '0',
  `g_linkId` int(11) default NULL,
  `g_modificationTimestamp` int(11) NOT NULL default '0',
  `g_serialNumber` int(11) NOT NULL default '0',
  `g_entityType` varchar(32) NOT NULL default '',
  `g_onLoadHandlers` varchar(128) default NULL,
  PRIMARY KEY  (`g_id`),
  KEY `g2_Entity_76255` (`g_creationTimestamp`),
  KEY `g2_Entity_35978` (`g_isLinkable`),
  KEY `g2_Entity_44738` (`g_linkId`),
  KEY `g2_Entity_63025` (`g_modificationTimestamp`),
  KEY `g2_Entity_60702` (`g_serialNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Entity`
-- 

INSERT INTO `g2_Entity` (`g_id`, `g_creationTimestamp`, `g_isLinkable`, `g_linkId`, `g_modificationTimestamp`, `g_serialNumber`, `g_entityType`, `g_onLoadHandlers`) VALUES 
(1, 1178539424, 0, NULL, 1178539424, 1, 'GalleryEntity', NULL),
(2, 1178539424, 0, NULL, 1178539424, 1, 'GalleryGroup', NULL),
(3, 1178539424, 0, NULL, 1178539424, 1, 'GalleryGroup', NULL),
(4, 1178539424, 0, NULL, 1178539424, 1, 'GalleryGroup', NULL),
(5, 1178539424, 0, NULL, 1178539424, 1, 'GalleryUser', NULL),
(6, 1178539424, 0, NULL, 1178903596, 2, 'GalleryUser', NULL),
(7, 1178539424, 0, NULL, 1178540924, 2, 'GalleryAlbumItem', NULL),
(10, 1178540811, 0, NULL, 1178540811, 1, 'GalleryEntity', NULL),
(12, 1178540826, 0, NULL, 1178540826, 1, 'GalleryEntity', NULL);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_ExifPropertiesMap`
-- 

CREATE TABLE `g2_ExifPropertiesMap` (
  `g_property` varchar(128) default NULL,
  `g_viewMode` int(11) default NULL,
  `g_sequence` int(11) default NULL,
  UNIQUE KEY `g_property` (`g_property`,`g_viewMode`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_ExifPropertiesMap`
-- 

INSERT INTO `g2_ExifPropertiesMap` (`g_property`, `g_viewMode`, `g_sequence`) VALUES 
('Make', 1, 0),
('Model', 1, 1),
('ApertureValue', 1, 2),
('ColorSpace', 1, 3),
('ExposureBiasValue', 1, 4),
('ExposureProgram', 1, 5),
('Flash', 1, 6),
('FocalLength', 1, 7),
('ISO', 1, 8),
('MeteringMode', 1, 9),
('ShutterSpeedValue', 1, 10),
('DateTime', 1, 11),
('IPTC/Caption', 1, 12),
('IPTC/CopyrightNotice', 1, 13),
('Make', 2, 0),
('Model', 2, 1),
('ApertureValue', 2, 2),
('ColorSpace', 2, 3),
('ExposureBiasValue', 2, 4),
('ExposureProgram', 2, 5),
('Flash', 2, 6),
('FocalLength', 2, 7),
('ISO', 2, 8),
('MeteringMode', 2, 9),
('ShutterSpeedValue', 2, 10),
('DateTime', 2, 11),
('IPTC/Caption', 2, 12),
('IPTC/CopyrightNotice', 2, 13),
('IPTC/Keywords', 2, 14),
('ImageType', 2, 15),
('Orientation', 2, 16),
('PhotoshopSettings', 2, 17),
('ResolutionUnit', 2, 18),
('xResolution', 2, 19),
('yResolution', 2, 20),
('Compression', 2, 21),
('BrightnessValue', 2, 22),
('Contrast', 2, 23),
('ExposureMode', 2, 24),
('FlashEnergy', 2, 25),
('Saturation', 2, 26),
('SceneType', 2, 27),
('Sharpness', 2, 28),
('SubjectDistance', 2, 29);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_ExternalIdMap`
-- 

CREATE TABLE `g2_ExternalIdMap` (
  `g_externalId` varchar(128) NOT NULL default '',
  `g_entityType` varchar(32) NOT NULL default '',
  `g_entityId` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_externalId`,`g_entityType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_ExternalIdMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_FactoryMap`
-- 

CREATE TABLE `g2_FactoryMap` (
  `g_classType` varchar(128) default NULL,
  `g_className` varchar(128) default NULL,
  `g_implId` varchar(128) default NULL,
  `g_implPath` varchar(128) default NULL,
  `g_implModuleId` varchar(128) default NULL,
  `g_hints` varchar(255) default NULL,
  `g_orderWeight` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_FactoryMap`
-- 

INSERT INTO `g2_FactoryMap` (`g_classType`, `g_className`, `g_implId`, `g_implPath`, `g_implModuleId`, `g_hints`, `g_orderWeight`) VALUES 
('MaintenanceTask', 'ResetViewCountsTask', 'ResetViewCountsTask', 'modules/core/classes/ResetViewCountsTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'BuildDerivativesTask', 'BuildDerivativesTask', 'modules/core/classes/BuildDerivativesTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'FlushDatabaseCacheTask', 'FlushDatabaseCacheTask', 'modules/core/classes/FlushDatabaseCacheTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'FlushTemplatesTask', 'FlushTemplatesTask', 'modules/core/classes/FlushTemplatesTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'OptimizeDatabaseTask', 'OptimizeDatabaseTask', 'modules/core/classes/OptimizeDatabaseTask.class', 'core', 'N;', '4'),
('ItemAddOption', 'CreateThumbnailOption', 'CreateThumbnailOption', 'modules/core/CreateThumbnailOption.inc', 'core', 'N;', '4'),
('ItemAddPlugin', 'ItemAddFromBrowser', 'ItemAddFromBrowser', 'modules/core/ItemAddFromBrowser.inc', 'core', 'N;', '2'),
('ItemEditPlugin', 'ItemEditPhotoThumbnail', 'ItemEditPhotoThumbnail', 'modules/core/ItemEditPhotoThumbnail.inc', 'core', 'N;', '4'),
('ItemEditPlugin', 'ItemEditRotateAndScalePhoto', 'ItemEditRotateAndScalePhoto', 'modules/core/ItemEditRotateAndScalePhoto.inc', 'core', 'N;', '3'),
('ItemEditPlugin', 'ItemEditTheme', 'ItemEditTheme', 'modules/core/ItemEditTheme.inc', 'core', 'N;', '3'),
('ItemEditPlugin', 'ItemEditPhoto', 'ItemEditPhoto', 'modules/core/ItemEditPhoto.inc', 'core', 'N;', '2'),
('ItemEditPlugin', 'ItemEditAlbum', 'ItemEditAlbum', 'modules/core/ItemEditAlbum.inc', 'core', 'N;', '2'),
('ItemEditPlugin', 'ItemEditAnimation', 'ItemEditAnimation', 'modules/core/ItemEditAnimation.inc', 'core', 'N;', '2'),
('ItemEditPlugin', 'ItemEditMovie', 'ItemEditMovie', 'modules/core/ItemEditMovie.inc', 'core', 'N;', '2'),
('ItemEditPlugin', 'ItemEditItem', 'ItemEditItem', 'modules/core/ItemEditItem.inc', 'core', 'N;', '1'),
('GallerySearchInterface_1_0', 'GalleryCoreSearch', 'GalleryCoreSearch', 'modules/core/classes/GalleryCoreSearch.class', 'core', 'N;', '4'),
('GalleryDynamicAlbum', 'GalleryDynamicAlbum', 'GalleryDynamicAlbum', 'modules/core/classes/GalleryDynamicAlbum.class', 'core', 'N;', '4'),
('GalleryItem', 'GalleryUnknownItem', 'GalleryUnknownItem', 'modules/core/classes/GalleryUnknownItem.class', 'core', 'a:1:{i:0;s:1:"*";}', '4'),
('GalleryItem', 'GalleryAnimationItem', 'GalleryAnimationItem', 'modules/core/classes/GalleryAnimationItem.class', 'core', 'a:2:{i:0;s:22:"application/x-director";i:1;s:29:"application/x-shockwave-flash";}', '4'),
('GalleryItem', 'GalleryMovieItem', 'GalleryMovieItem', 'modules/core/classes/GalleryMovieItem.class', 'core', 'a:1:{i:0;s:7:"video/*";}', '4'),
('GalleryItem', 'GalleryPhotoItem', 'GalleryPhotoItem', 'modules/core/classes/GalleryPhotoItem.class', 'core', 'a:2:{i:0;s:7:"image/*";i:1;s:21:"application/photoshop";}', '4'),
('GalleryEntity', 'GalleryUnknownItem', 'GalleryUnknownItem', 'modules/core/classes/GalleryUnknownItem.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryPhotoItem', 'GalleryPhotoItem', 'modules/core/classes/GalleryPhotoItem.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryAnimationItem', 'GalleryAnimationItem', 'modules/core/classes/GalleryAnimationItem.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryMovieItem', 'GalleryMovieItem', 'modules/core/classes/GalleryMovieItem.class', 'core', 'N;', '4'),
('GalleryDerivative', 'GalleryDerivativeImage', 'GalleryDerivativeImage', 'modules/core/classes/GalleryDerivativeImage.class', 'core', 'a:1:{i:0;s:1:"*";}', '4'),
('GalleryEntity', 'GalleryDerivativeImage', 'GalleryDerivativeImage', 'modules/core/classes/GalleryDerivativeImage.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryGroup', 'GalleryGroup', 'modules/core/classes/GalleryGroup.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryDerivative', 'GalleryDerivative', 'modules/core/classes/GalleryDerivative.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryUser', 'GalleryUser', 'modules/core/classes/GalleryUser.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryAlbumItem', 'GalleryAlbumItem', 'modules/core/classes/GalleryAlbumItem.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryChildEntity', 'GalleryChildEntity', 'modules/core/classes/GalleryChildEntity.class', 'core', 'N;', '4'),
('GalleryEntity', 'GalleryEntity', 'GalleryEntity', 'modules/core/classes/GalleryEntity.class', 'core', 'N;', '4'),
('MaintenanceTask', 'SystemInfoTask', 'SystemInfoTask', 'modules/core/classes/SystemInfoTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'SetOriginationTimestampTask', 'SetOriginationTimestampTask', 'modules/core/classes/SetOriginationTimestampTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'DeleteSessionsTask', 'DeleteSessionsTask', 'modules/core/classes/DeleteSessionsTask.class', 'core', 'N;', '4'),
('MaintenanceTask', 'ConvertDatabaseToUtf8Task', 'ConvertDatabaseToUtf8Task', 'modules/core/classes/ConvertDatabaseToUtf8Task.class', 'core', 'N;', '4'),
('CaptchaAdminOption', 'CoreCaptchaAdminOption', 'CoreCaptchaAdminOption', 'modules/core/classes/CoreCaptchaAdminOption.class', 'core', 'N;', '4'),
('GalleryAuthPlugin', 'SessionAuthPlugin', 'SessionAuthPlugin', 'modules/core/classes/GallerySession.class', 'core', 'N;', '4'),
('GalleryToolkit', 'GdToolkit', 'Gd', 'modules/gd/classes/GdToolkit.class', 'gd', 'N;', '5'),
('SlideshowInterface_1_0', 'SlideshowImpl', 'Slideshow', 'modules/slideshow/classes/SlideshowImpl.class', 'slideshow', 'N;', '5'),
('IconsInterface_1_0', 'IconsImpl', 'Icons', 'modules/icons/classes/IconsImpl.class', 'icons', 'N;', '5'),
('GalleryToolkit', 'ArchiveExtractToolkit', 'ArchiveUpload', 'modules/archiveupload/classes/ArchiveExtractToolkit.class', 'archiveupload', 'N;', '5'),
('ItemEditOption', 'RatingItemEdit', 'RatingItemEdit', 'modules/rating/RatingItemEdit.inc', 'rating', 'a:1:{i:0;s:13:"itemeditalbum";}', '5'),
('GallerySortInterface_1_2', 'RatingSortOrder', 'RatingSortOrder', 'modules/rating/classes/RatingSortOrder.class', 'rating', 'N;', '5'),
('ExifInterface_1_0', 'ExifExtractor', 'Exif', 'modules/exif/classes/ExifExtractor.class', 'exif', 'N;', '5'),
('GalleryToolkit', 'ExifToolkit', 'Exif', 'modules/exif/classes/ExifToolkit.class', 'exif', 'N;', '5'),
('ItemAddOption', 'ExifDescriptionOption', 'ExifDescriptionOption', 'modules/exif/ExifDescriptionOption.inc', 'exif', 'N;', '5'),
('GalleryEntity', 'GalleryComment', 'GalleryComment', 'modules/comment/classes/GalleryComment.class', 'comment', 'N;', '5'),
('GallerySearchInterface_1_0', 'GalleryCommentSearch', 'comment', 'modules/comment/classes/GalleryCommentSearch.class', 'comment', 'N;', '5'),
('CaptchaAdminOption', 'CommentCaptchaAdminOption', 'CommentCaptchaAdminOption', 'modules/comment/classes/CommentCaptchaAdminOption.class', 'comment', 'N;', '5'),
('ItemAddPlugin', 'ItemAddGalleryRemote', 'ItemAddGalleryRemote', 'modules/remote/ItemAddGalleryRemote.inc', 'remote', 'N;', '5'),
('ItemAddPlugin', 'ItemAddPublishXp', 'ItemAddPublishXp', 'modules/publishxp/ItemAddPublishXp.inc', 'publishxp', 'N;', '5');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_FailedLoginsMap`
-- 

CREATE TABLE `g2_FailedLoginsMap` (
  `g_userName` varchar(32) NOT NULL default '',
  `g_count` int(11) NOT NULL default '0',
  `g_lastAttempt` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_userName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_FailedLoginsMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_FileSystemEntity`
-- 

CREATE TABLE `g2_FileSystemEntity` (
  `g_id` int(11) NOT NULL default '0',
  `g_pathComponent` varchar(128) default NULL,
  PRIMARY KEY  (`g_id`),
  KEY `g2_FileSystemEntity_3406` (`g_pathComponent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_FileSystemEntity`
-- 

INSERT INTO `g2_FileSystemEntity` (`g_id`, `g_pathComponent`) VALUES 
(7, NULL);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Group`
-- 

CREATE TABLE `g2_Group` (
  `g_id` int(11) NOT NULL default '0',
  `g_groupType` int(11) NOT NULL default '0',
  `g_groupName` varchar(128) default NULL,
  PRIMARY KEY  (`g_id`),
  UNIQUE KEY `g_groupName` (`g_groupName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Group`
-- 

INSERT INTO `g2_Group` (`g_id`, `g_groupType`, `g_groupName`) VALUES 
(2, 2, 'Registrierte Benutzer'),
(3, 3, 'Site-Administratoren'),
(4, 4, 'Jeder');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Item`
-- 

CREATE TABLE `g2_Item` (
  `g_id` int(11) NOT NULL default '0',
  `g_canContainChildren` int(1) NOT NULL default '0',
  `g_description` text,
  `g_keywords` varchar(255) default NULL,
  `g_ownerId` int(11) NOT NULL default '0',
  `g_renderer` varchar(128) default NULL,
  `g_summary` varchar(255) default NULL,
  `g_title` varchar(128) default NULL,
  `g_viewedSinceTimestamp` int(11) NOT NULL default '0',
  `g_originationTimestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_id`),
  KEY `g2_Item_99070` (`g_keywords`),
  KEY `g2_Item_21573` (`g_ownerId`),
  KEY `g2_Item_54147` (`g_summary`),
  KEY `g2_Item_90059` (`g_title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Item`
-- 

INSERT INTO `g2_Item` (`g_id`, `g_canContainChildren`, `g_description`, `g_keywords`, `g_ownerId`, `g_renderer`, `g_summary`, `g_title`, `g_viewedSinceTimestamp`, `g_originationTimestamp`) VALUES 
(7, 1, NULL, NULL, 6, NULL, NULL, 'Gallery', 1178539424, 1178539424);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_ItemAttributesMap`
-- 

CREATE TABLE `g2_ItemAttributesMap` (
  `g_itemId` int(11) NOT NULL default '0',
  `g_viewCount` int(11) default NULL,
  `g_orderWeight` int(11) default NULL,
  `g_parentSequence` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`g_itemId`),
  KEY `g2_ItemAttributesMap_95270` (`g_parentSequence`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_ItemAttributesMap`
-- 

INSERT INTO `g2_ItemAttributesMap` (`g_itemId`, `g_viewCount`, `g_orderWeight`, `g_parentSequence`) VALUES 
(7, 26, 0, '');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Lock`
-- 

CREATE TABLE `g2_Lock` (
  `g_lockId` int(11) default NULL,
  `g_readEntityId` int(11) default NULL,
  `g_writeEntityId` int(11) default NULL,
  `g_freshUntil` int(11) default NULL,
  `g_request` int(11) default NULL,
  KEY `g2_Lock_11039` (`g_lockId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Lock`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_MaintenanceMap`
-- 

CREATE TABLE `g2_MaintenanceMap` (
  `g_runId` int(11) NOT NULL default '0',
  `g_taskId` varchar(128) NOT NULL default '',
  `g_timestamp` int(11) default NULL,
  `g_success` int(1) default NULL,
  `g_details` text,
  PRIMARY KEY  (`g_runId`),
  KEY `g2_MaintenanceMap_21687` (`g_taskId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_MaintenanceMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_MimeTypeMap`
-- 

CREATE TABLE `g2_MimeTypeMap` (
  `g_extension` varchar(32) NOT NULL default '',
  `g_mimeType` varchar(32) NOT NULL default '',
  `g_viewable` int(1) default NULL,
  PRIMARY KEY  (`g_extension`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_MimeTypeMap`
-- 

INSERT INTO `g2_MimeTypeMap` (`g_extension`, `g_mimeType`, `g_viewable`) VALUES 
('z', 'application/x-compress', 0),
('ai', 'application/postscript', 0),
('aif', 'audio/x-aiff', 0),
('aifc', 'audio/x-aiff', 0),
('aiff', 'audio/x-aiff', 0),
('asc', 'text/plain', 0),
('au', 'audio/basic', 0),
('avi', 'video/x-msvideo', 0),
('bcpio', 'application/x-bcpio', 0),
('bin', 'application/octet-stream', 0),
('bmp', 'image/bmp', 0),
('cdf', 'application/x-netcdf', 0),
('class', 'application/octet-stream', 0),
('cpio', 'application/x-cpio', 0),
('cpt', 'application/mac-compactpro', 0),
('csh', 'application/x-csh', 0),
('css', 'text/css', 0),
('dcr', 'application/x-director', 0),
('dir', 'application/x-director', 0),
('djv', 'image/vnd.djvu', 0),
('djvu', 'image/vnd.djvu', 0),
('dll', 'application/octet-stream', 0),
('dms', 'application/octet-stream', 0),
('doc', 'application/msword', 0),
('dvi', 'application/x-dvi', 0),
('dxr', 'application/x-director', 0),
('eps', 'application/postscript', 0),
('etx', 'text/x-setext', 0),
('exe', 'application/octet-stream', 0),
('ez', 'application/andrew-inset', 0),
('gif', 'image/gif', 1),
('gtar', 'application/x-gtar', 0),
('gz', 'application/x-gzip', 0),
('hdf', 'application/x-hdf', 0),
('hqx', 'application/mac-binhex40', 0),
('ice', 'x-conference/x-cooltalk', 0),
('ief', 'image/ief', 0),
('iges', 'model/iges', 0),
('igs', 'model/iges', 0),
('jpg', 'image/jpeg', 1),
('jpeg', 'image/jpeg', 1),
('jpe', 'image/jpeg', 1),
('js', 'application/x-javascript', 0),
('kar', 'audio/midi', 0),
('latex', 'application/x-latex', 0),
('lha', 'application/octet-stream', 0),
('lzh', 'application/octet-stream', 0),
('m3u', 'audio/x-mpegurl', 0),
('man', 'application/x-troff-man', 0),
('me', 'application/x-troff-me', 0),
('mesh', 'model/mesh', 0),
('mid', 'audio/midi', 0),
('midi', 'audio/midi', 0),
('mif', 'application/vnd.mif', 0),
('mov', 'video/quicktime', 0),
('movie', 'video/x-sgi-movie', 0),
('mp2', 'audio/mpeg', 0),
('mp3', 'audio/mpeg', 0),
('mpe', 'video/mpeg', 0),
('mpeg', 'video/mpeg', 0),
('mpg', 'video/mpeg', 0),
('mpga', 'audio/mpeg', 0),
('ms', 'application/x-troff-ms', 0),
('msh', 'model/mesh', 0),
('mxu', 'video/vnd.mpegurl', 0),
('nc', 'application/x-netcdf', 0),
('oda', 'application/oda', 0),
('pbm', 'image/x-portable-bitmap', 0),
('pdb', 'chemical/x-pdb', 0),
('pdf', 'application/pdf', 0),
('pgm', 'image/x-portable-graymap', 0),
('pgn', 'application/x-chess-pgn', 0),
('png', 'image/png', 1),
('pnm', 'image/x-portable-anymap', 0),
('ppm', 'image/x-portable-pixmap', 0),
('ppt', 'application/vnd.ms-powerpoint', 0),
('ps', 'application/postscript', 0),
('qt', 'video/quicktime', 0),
('ra', 'audio/x-realaudio', 0),
('ram', 'audio/x-pn-realaudio', 0),
('ras', 'image/x-cmu-raster', 0),
('rgb', 'image/x-rgb', 0),
('rm', 'audio/x-pn-realaudio', 0),
('roff', 'application/x-troff', 0),
('rpm', 'audio/x-pn-realaudio-plugin', 0),
('rtf', 'text/rtf', 0),
('rtx', 'text/richtext', 0),
('sgm', 'text/sgml', 0),
('sgml', 'text/sgml', 0),
('sh', 'application/x-sh', 0),
('shar', 'application/x-shar', 0),
('silo', 'model/mesh', 0),
('sit', 'application/x-stuffit', 0),
('skd', 'application/x-koan', 0),
('skm', 'application/x-koan', 0),
('skp', 'application/x-koan', 0),
('skt', 'application/x-koan', 0),
('smi', 'application/smil', 0),
('smil', 'application/smil', 0),
('snd', 'audio/basic', 0),
('so', 'application/octet-stream', 0),
('spl', 'application/x-futuresplash', 0),
('src', 'application/x-wais-source', 0),
('sv4cpio', 'application/x-sv4cpio', 0),
('sv4crc', 'application/x-sv4crc', 0),
('svg', 'image/svg+xml', 0),
('swf', 'application/x-shockwave-flash', 0),
('t', 'application/x-troff', 0),
('tar', 'application/x-tar', 0),
('tcl', 'application/x-tcl', 0),
('tex', 'application/x-tex', 0),
('texi', 'application/x-texinfo', 0),
('texinfo', 'application/x-texinfo', 0),
('tif', 'image/tiff', 0),
('tiff', 'image/tiff', 0),
('tr', 'application/x-troff', 0),
('tsv', 'text/tab-separated-values', 0),
('txt', 'text/plain', 0),
('ustar', 'application/x-ustar', 0),
('vcd', 'application/x-cdlink', 0),
('vrml', 'model/vrml', 0),
('vsd', 'application/vnd.visio', 0),
('wav', 'audio/x-wav', 0),
('wbmp', 'image/vnd.wap.wbmp', 0),
('wbxml', 'application/vnd.wap.wbxml', 0),
('wml', 'text/vnd.wap.wml', 0),
('wmlc', 'application/vnd.wap.wmlc', 0),
('wmls', 'text/vnd.wap.wmlscript', 0),
('wmlsc', 'application/vnd.wap.wmlscriptc', 0),
('wrl', 'model/vrml', 0),
('xbm', 'image/x-xbitmap', 0),
('xls', 'application/vnd.ms-excel', 0),
('xpm', 'image/x-xpixmap', 0),
('xsl', 'text/xml', 0),
('xwd', 'image/x-xwindowdump', 0),
('xyz', 'chemical/x-xyz', 0),
('zip', 'application/zip', 0),
('asf', 'video/x-ms-asf', 0),
('asx', 'video/x-ms-asx', 0),
('wmv', 'video/x-ms-wmv', 0),
('wma', 'audio/x-ms-wma', 0),
('jp2', 'image/jp2', 0),
('jpg2', 'image/jp2', 0),
('jpf', 'image/jpx', 0),
('jpx', 'image/jpx', 0),
('mj2', 'video/mj2', 0),
('mjp2', 'video/mj2', 0),
('jpm', 'image/jpm', 0),
('jpgm', 'image/jpgm', 0),
('psd', 'application/photoshop', 0),
('pcd', 'image/x-photo-cd', 0),
('jpgcmyk', 'image/jpeg-cmyk', 0),
('tifcmyk', 'image/tiff-cmyk', 0),
('wmf', 'image/wmf', 0),
('tga', 'image/tga', 0),
('flv', 'video/x-flv', 0),
('mp4', 'video/mp4', 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_MovieItem`
-- 

CREATE TABLE `g2_MovieItem` (
  `g_id` int(11) NOT NULL default '0',
  `g_width` int(11) default NULL,
  `g_height` int(11) default NULL,
  `g_duration` int(11) default NULL,
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_MovieItem`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_PermissionSetMap`
-- 

CREATE TABLE `g2_PermissionSetMap` (
  `g_module` varchar(128) NOT NULL default '',
  `g_permission` varchar(128) NOT NULL default '',
  `g_description` varchar(255) default NULL,
  `g_bits` int(11) NOT NULL default '0',
  `g_flags` int(11) NOT NULL default '0',
  UNIQUE KEY `g_permission` (`g_permission`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_PermissionSetMap`
-- 

INSERT INTO `g2_PermissionSetMap` (`g_module`, `g_permission`, `g_description`, `g_bits`, `g_flags`) VALUES 
('core', 'core.all', 'All access', 2147483647, 3),
('core', 'core.view', '[core] View item', 1, 0),
('core', 'core.viewResizes', '[core] View resized version(s)', 2, 0),
('core', 'core.viewSource', '[core] View original version', 4, 0),
('core', 'core.viewAll', '[core] View all versions', 7, 2),
('core', 'core.addAlbumItem', '[core] Add sub-album', 8, 0),
('core', 'core.addDataItem', '[core] Add sub-item', 16, 0),
('core', 'core.edit', '[core] Edit item', 32, 0),
('core', 'core.changePermissions', '[core] Change item permissions', 64, 0),
('core', 'core.delete', '[core] Delete item', 128, 0),
('rating', 'rating.add', '[rating] Add ratings', 256, 0),
('rating', 'rating.view', '[rating] View ratings', 512, 0),
('rating', 'rating.all', '[rating] All access', 768, 2),
('comment', 'comment.add', '[comment] Add comments', 1024, 0),
('comment', 'comment.edit', '[comment] Edit comments', 2048, 0),
('comment', 'comment.delete', '[comment] Delete comments', 4096, 0),
('comment', 'comment.view', '[comment] View comments', 8192, 0),
('comment', 'comment.all', '[comment] All access', 15360, 2);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_PhotoItem`
-- 

CREATE TABLE `g2_PhotoItem` (
  `g_id` int(11) NOT NULL default '0',
  `g_width` int(11) default NULL,
  `g_height` int(11) default NULL,
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_PhotoItem`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_PluginMap`
-- 

CREATE TABLE `g2_PluginMap` (
  `g_pluginType` varchar(32) NOT NULL default '',
  `g_pluginId` varchar(32) NOT NULL default '',
  `g_active` int(1) NOT NULL default '0',
  PRIMARY KEY  (`g_pluginType`,`g_pluginId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_PluginMap`
-- 

INSERT INTO `g2_PluginMap` (`g_pluginType`, `g_pluginId`, `g_active`) VALUES 
('theme', 'matrix', 1),
('module', 'gd', 1),
('module', 'slideshow', 1),
('module', 'keyalbum', 1),
('module', 'icons', 1),
('module', 'archiveupload', 1),
('module', 'rating', 1),
('module', 'exif', 1),
('module', 'comment', 1),
('module', 'rearrange', 1),
('module', 'search', 1),
('module', 'remote', 1),
('module', 'publishxp', 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_PluginPackageMap`
-- 

CREATE TABLE `g2_PluginPackageMap` (
  `g_pluginType` varchar(32) NOT NULL default '',
  `g_pluginId` varchar(32) NOT NULL default '',
  `g_packageName` varchar(32) NOT NULL default '',
  `g_packageVersion` varchar(32) NOT NULL default '',
  `g_packageBuild` varchar(32) NOT NULL default '',
  `g_locked` int(1) NOT NULL default '0',
  KEY `g2_PluginPackageMap_80596` (`g_pluginType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_PluginPackageMap`
-- 

INSERT INTO `g2_PluginPackageMap` (`g_pluginType`, `g_pluginId`, `g_packageName`, `g_packageVersion`, `g_packageBuild`, `g_locked`) VALUES 
('module', 'gd', 'base', '1.1.1', '16041', 1),
('module', 'gd', 'lang-af', '15342', '16040', 1),
('module', 'gd', 'lang-ar', '15342', '16040', 1),
('module', 'gd', 'lang-ca', '15342', '16040', 1),
('module', 'gd', 'lang-cs', '15342', '16040', 1),
('module', 'gd', 'lang-da', '15342', '16040', 1),
('module', 'gd', 'lang-de', '15342', '16040', 1),
('module', 'gd', 'lang-en_GB', '15342', '16040', 1),
('module', 'gd', 'lang-es', '15342', '16040', 1),
('module', 'gd', 'lang-et', '15342', '16040', 1),
('module', 'gd', 'lang-eu', '15342', '16040', 1),
('module', 'gd', 'lang-fi', '15342', '16040', 1),
('module', 'gd', 'lang-fr', '15342', '16040', 1),
('module', 'gd', 'lang-hu', '15342', '16040', 1),
('module', 'gd', 'lang-is', '15342', '16040', 1),
('module', 'gd', 'lang-it', '15342', '16040', 1),
('module', 'gd', 'lang-ja', '15342', '16040', 1),
('module', 'gd', 'lang-ko', '15342', '16040', 1),
('module', 'gd', 'lang-lt', '15342', '16040', 1),
('module', 'gd', 'lang-lv', '15342', '16040', 1),
('module', 'gd', 'lang-nl', '15342', '16040', 1),
('module', 'gd', 'lang-no', '15342', '16040', 1),
('module', 'gd', 'lang-pl', '15342', '16040', 1),
('module', 'gd', 'lang-pt_BR', '15342', '16040', 1),
('module', 'gd', 'lang-ro', '15342', '16040', 1),
('module', 'gd', 'lang-ru', '15342', '16040', 1),
('module', 'gd', 'lang-sk', '15342', '16040', 1),
('module', 'gd', 'lang-sr', '15342', '16040', 1),
('module', 'gd', 'lang-sv', '15342', '16040', 1),
('module', 'gd', 'lang-tr', '15342', '16040', 1),
('module', 'gd', 'lang-uk', '15342', '16040', 1),
('module', 'gd', 'lang-vi', '15342', '16040', 1),
('module', 'gd', 'lang-zh_CN', '15342', '16040', 1),
('module', 'gd', 'lang-zh_TW', '15342', '16040', 1),
('module', 'slideshow', 'base', '1.0.5', '16041', 1),
('module', 'slideshow', 'lang-af', '15945', '16040', 1),
('module', 'slideshow', 'lang-ar', '15945', '16040', 1),
('module', 'slideshow', 'lang-bg', '15945', '16040', 1),
('module', 'slideshow', 'lang-ca', '15945', '16040', 1),
('module', 'slideshow', 'lang-cs', '15945', '16040', 1),
('module', 'slideshow', 'lang-da', '15945', '16040', 1),
('module', 'slideshow', 'lang-de', '15945', '16040', 1),
('module', 'slideshow', 'lang-en_GB', '15945', '16040', 1),
('module', 'slideshow', 'lang-es', '15945', '16040', 1),
('module', 'slideshow', 'lang-eu', '15945', '16040', 1),
('module', 'slideshow', 'lang-fi', '15945', '16040', 1),
('module', 'slideshow', 'lang-fr', '15945', '16040', 1),
('module', 'slideshow', 'lang-hu', '15945', '16040', 1),
('module', 'slideshow', 'lang-is', '15945', '16040', 1),
('module', 'slideshow', 'lang-it', '15945', '16040', 1),
('module', 'slideshow', 'lang-ja', '15945', '16040', 1),
('module', 'slideshow', 'lang-ko', '15945', '16040', 1),
('module', 'slideshow', 'lang-lt', '15945', '16040', 1),
('module', 'slideshow', 'lang-lv', '15945', '16040', 1),
('module', 'slideshow', 'lang-nl', '15945', '16040', 1),
('module', 'slideshow', 'lang-no', '15945', '16040', 1),
('module', 'slideshow', 'lang-pl', '15945', '16040', 1),
('module', 'slideshow', 'lang-pt_BR', '15945', '16040', 1),
('module', 'slideshow', 'lang-pt', '15945', '16040', 1),
('module', 'slideshow', 'lang-ro', '15945', '16040', 1),
('module', 'slideshow', 'lang-ru', '15945', '16040', 1),
('module', 'slideshow', 'lang-sk', '15945', '16040', 1),
('module', 'slideshow', 'lang-sl', '15945', '16040', 1),
('module', 'slideshow', 'lang-sr', '15945', '16040', 1),
('module', 'slideshow', 'lang-sv', '15945', '16040', 1),
('module', 'slideshow', 'lang-tr', '15945', '16040', 1),
('module', 'slideshow', 'lang-uk', '15945', '16040', 1),
('module', 'slideshow', 'lang-vi', '15945', '16040', 1),
('module', 'slideshow', 'lang-zh_CN', '15945', '16040', 1),
('module', 'slideshow', 'lang-zh_TW', '15945', '16040', 1),
('module', 'keyalbum', 'base', '1.0.0', '16041', 1),
('module', 'keyalbum', 'lang-af', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ar', '15447', '16040', 1),
('module', 'keyalbum', 'lang-bg', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ca', '15447', '16040', 1),
('module', 'keyalbum', 'lang-cs', '15447', '16040', 1),
('module', 'keyalbum', 'lang-da', '15447', '16040', 1),
('module', 'keyalbum', 'lang-de', '15447', '16040', 1),
('module', 'keyalbum', 'lang-el', '15447', '16040', 1),
('module', 'keyalbum', 'lang-en_GB', '15447', '16040', 1),
('module', 'keyalbum', 'lang-es_AR', '15447', '16040', 1),
('module', 'keyalbum', 'lang-es_MX', '15447', '16040', 1),
('module', 'keyalbum', 'lang-es', '15447', '16040', 1),
('module', 'keyalbum', 'lang-et', '15447', '16040', 1),
('module', 'keyalbum', 'lang-eu', '15447', '16040', 1),
('module', 'keyalbum', 'lang-fi', '15447', '16040', 1),
('module', 'keyalbum', 'lang-fr', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ga', '15447', '16040', 1),
('module', 'keyalbum', 'lang-he', '15447', '16040', 1),
('module', 'keyalbum', 'lang-hu', '15447', '16040', 1),
('module', 'keyalbum', 'lang-it', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ja', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ko', '15447', '16040', 1),
('module', 'keyalbum', 'lang-lt', '15447', '16040', 1),
('module', 'keyalbum', 'lang-nl', '15447', '16040', 1),
('module', 'keyalbum', 'lang-no', '15447', '16040', 1),
('module', 'keyalbum', 'lang-pl', '15447', '16040', 1),
('module', 'keyalbum', 'lang-pt_BR', '15447', '16040', 1),
('module', 'keyalbum', 'lang-pt', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ro', '15447', '16040', 1),
('module', 'keyalbum', 'lang-ru', '15447', '16040', 1),
('module', 'keyalbum', 'lang-sk', '15447', '16040', 1),
('module', 'keyalbum', 'lang-sl', '15447', '16040', 1),
('module', 'keyalbum', 'lang-sr', '15447', '16040', 1),
('module', 'keyalbum', 'lang-sv', '15447', '16040', 1),
('module', 'keyalbum', 'lang-tr', '15447', '16040', 1),
('module', 'keyalbum', 'lang-uk', '15447', '16040', 1),
('module', 'keyalbum', 'lang-vi', '15447', '16040', 1),
('module', 'keyalbum', 'lang-zh_CN', '15447', '16040', 1),
('module', 'keyalbum', 'lang-zh_TW', '15447', '16040', 1),
('module', 'icons', 'base', '1.1.2', '16041', 1),
('module', 'icons', 'lang-af', '15342', '16040', 1),
('module', 'icons', 'lang-ar', '15342', '16040', 1),
('module', 'icons', 'lang-bg', '15342', '16040', 1),
('module', 'icons', 'lang-ca', '15342', '16040', 1),
('module', 'icons', 'lang-cs', '15342', '16040', 1),
('module', 'icons', 'lang-da', '15342', '16040', 1),
('module', 'icons', 'lang-de', '15342', '16040', 1),
('module', 'icons', 'lang-en_GB', '15342', '16040', 1),
('module', 'icons', 'lang-es', '15342', '16040', 1),
('module', 'icons', 'lang-eu', '15342', '16040', 1),
('module', 'icons', 'lang-fi', '15342', '16040', 1),
('module', 'icons', 'lang-fr', '15342', '16040', 1),
('module', 'icons', 'lang-hu', '15342', '16040', 1),
('module', 'icons', 'lang-it', '15342', '16040', 1),
('module', 'icons', 'lang-ja', '15342', '16040', 1),
('module', 'icons', 'lang-ko', '15342', '16040', 1),
('module', 'icons', 'lang-lt', '15342', '16040', 1),
('module', 'icons', 'lang-nl', '15342', '16040', 1),
('module', 'icons', 'lang-no', '15342', '16040', 1),
('module', 'icons', 'lang-pl', '15342', '16040', 1),
('module', 'icons', 'lang-pt_BR', '15342', '16040', 1),
('module', 'icons', 'lang-ro', '15342', '16040', 1),
('module', 'icons', 'lang-ru', '15342', '16040', 1),
('module', 'icons', 'lang-sk', '15342', '16040', 1),
('module', 'icons', 'lang-sr', '15342', '16040', 1),
('module', 'icons', 'lang-sv', '15342', '16040', 1),
('module', 'icons', 'lang-tr', '15342', '16040', 1),
('module', 'icons', 'lang-uk', '15342', '16040', 1),
('module', 'icons', 'lang-vi', '15342', '16040', 1),
('module', 'icons', 'lang-zh_CN', '15342', '16040', 1),
('module', 'icons', 'lang-zh_TW', '15342', '16040', 1),
('module', 'archiveupload', 'base', '1.0.6', '16041', 1),
('module', 'archiveupload', 'lang-af', '15342', '16040', 1),
('module', 'archiveupload', 'lang-ar', '15342', '16040', 1),
('module', 'archiveupload', 'lang-bg', '15342', '16040', 1),
('module', 'archiveupload', 'lang-ca', '15342', '16040', 1),
('module', 'archiveupload', 'lang-cs', '15342', '16040', 1),
('module', 'archiveupload', 'lang-da', '15342', '16040', 1),
('module', 'archiveupload', 'lang-de', '15342', '16040', 1),
('module', 'archiveupload', 'lang-en_GB', '15342', '16040', 1),
('module', 'archiveupload', 'lang-es', '15342', '16040', 1),
('module', 'archiveupload', 'lang-eu', '15342', '16040', 1),
('module', 'archiveupload', 'lang-fi', '15342', '16040', 1),
('module', 'archiveupload', 'lang-fr', '15342', '16040', 1),
('module', 'archiveupload', 'lang-hu', '15342', '16040', 1),
('module', 'archiveupload', 'lang-is', '15342', '16040', 1),
('module', 'archiveupload', 'lang-it', '15342', '16040', 1),
('module', 'archiveupload', 'lang-ja', '15342', '16040', 1),
('module', 'archiveupload', 'lang-ko', '15342', '16040', 1),
('module', 'archiveupload', 'lang-lt', '15342', '16040', 1),
('module', 'archiveupload', 'lang-nl', '15342', '16040', 1),
('module', 'archiveupload', 'lang-no', '15342', '16040', 1),
('module', 'archiveupload', 'lang-pl', '15342', '16040', 1),
('module', 'archiveupload', 'lang-pt_BR', '15342', '16040', 1),
('module', 'archiveupload', 'lang-ro', '15342', '16040', 1),
('module', 'archiveupload', 'lang-ru', '15342', '16040', 1),
('module', 'archiveupload', 'lang-sk', '15342', '16040', 1),
('module', 'archiveupload', 'lang-sr', '15342', '16040', 1),
('module', 'archiveupload', 'lang-sv', '15342', '16040', 1),
('module', 'archiveupload', 'lang-tr', '15342', '16040', 1),
('module', 'archiveupload', 'lang-uk', '15342', '16040', 1),
('module', 'archiveupload', 'lang-vi', '15342', '16040', 1),
('module', 'archiveupload', 'lang-zh_CN', '15342', '16040', 1),
('module', 'archiveupload', 'lang-zh_TW', '15342', '16040', 1),
('module', 'rating', 'base', '1.0.8', '16041', 1),
('module', 'rating', 'lang-af', '15447', '16040', 1),
('module', 'rating', 'lang-ar', '15447', '16040', 1),
('module', 'rating', 'lang-ca', '15447', '16040', 1),
('module', 'rating', 'lang-cs', '15447', '16040', 1),
('module', 'rating', 'lang-da', '15447', '16040', 1),
('module', 'rating', 'lang-de', '15447', '16040', 1),
('module', 'rating', 'lang-en_GB', '15447', '16040', 1),
('module', 'rating', 'lang-es', '15447', '16040', 1),
('module', 'rating', 'lang-et', '15447', '16040', 1),
('module', 'rating', 'lang-eu', '15447', '16040', 1),
('module', 'rating', 'lang-fi', '15447', '16040', 1),
('module', 'rating', 'lang-fr', '15447', '16040', 1),
('module', 'rating', 'lang-he', '15447', '16040', 1),
('module', 'rating', 'lang-hu', '15447', '16040', 1),
('module', 'rating', 'lang-it', '15447', '16040', 1),
('module', 'rating', 'lang-ja', '15447', '16040', 1),
('module', 'rating', 'lang-ko', '15447', '16040', 1),
('module', 'rating', 'lang-lt', '15447', '16040', 1),
('module', 'rating', 'lang-lv', '15447', '16040', 1),
('module', 'rating', 'lang-nl', '15447', '16040', 1),
('module', 'rating', 'lang-no', '15447', '16040', 1),
('module', 'rating', 'lang-pl', '15447', '16040', 1),
('module', 'rating', 'lang-ro', '15447', '16040', 1),
('module', 'rating', 'lang-ru', '15447', '16040', 1),
('module', 'rating', 'lang-sk', '15447', '16040', 1),
('module', 'rating', 'lang-sl', '15447', '16040', 1),
('module', 'rating', 'lang-sr', '15447', '16040', 1),
('module', 'rating', 'lang-sv', '15447', '16040', 1),
('module', 'rating', 'lang-tr', '15447', '16040', 1),
('module', 'rating', 'lang-uk', '15447', '16040', 1),
('module', 'rating', 'lang-vi', '15447', '16040', 1),
('module', 'rating', 'lang-zh_CN', '15447', '16040', 1),
('module', 'rating', 'lang-zh_TW', '15447', '16040', 1),
('module', 'exif', 'base', '1.1.0', '16041', 1),
('module', 'exif', 'lang-af', '15342', '16040', 1),
('module', 'exif', 'lang-ar', '15342', '16040', 1),
('module', 'exif', 'lang-ca', '15342', '16040', 1),
('module', 'exif', 'lang-cs', '15342', '16040', 1),
('module', 'exif', 'lang-da', '15342', '16040', 1),
('module', 'exif', 'lang-de', '15342', '16040', 1),
('module', 'exif', 'lang-en_GB', '15342', '16040', 1),
('module', 'exif', 'lang-es', '15342', '16040', 1),
('module', 'exif', 'lang-eu', '15342', '16040', 1),
('module', 'exif', 'lang-fi', '15342', '16040', 1),
('module', 'exif', 'lang-fr', '15342', '16040', 1),
('module', 'exif', 'lang-ga', '15342', '16040', 1),
('module', 'exif', 'lang-hu', '15342', '16040', 1),
('module', 'exif', 'lang-is', '15342', '16040', 1),
('module', 'exif', 'lang-it', '15342', '16040', 1),
('module', 'exif', 'lang-ja', '15342', '16040', 1),
('module', 'exif', 'lang-ko', '15342', '16040', 1),
('module', 'exif', 'lang-lt', '15342', '16040', 1),
('module', 'exif', 'lang-nl', '15342', '16040', 1),
('module', 'exif', 'lang-no', '15342', '16040', 1),
('module', 'exif', 'lang-pl', '15342', '16040', 1),
('module', 'exif', 'lang-pt_BR', '15342', '16040', 1),
('module', 'exif', 'lang-ro', '15342', '16040', 1),
('module', 'exif', 'lang-ru', '15342', '16040', 1),
('module', 'exif', 'lang-sk', '15342', '16040', 1),
('module', 'exif', 'lang-sr', '15342', '16040', 1),
('module', 'exif', 'lang-sv', '15342', '16040', 1),
('module', 'exif', 'lang-tr', '15342', '16040', 1),
('module', 'exif', 'lang-uk', '15342', '16040', 1),
('module', 'exif', 'lang-vi', '15342', '16040', 1),
('module', 'exif', 'lang-zh_CN', '15342', '16040', 1),
('module', 'exif', 'lang-zh_TW', '15342', '16040', 1),
('module', 'comment', 'base', '1.1.3', '16041', 1),
('module', 'comment', 'lang-af', '15508', '16040', 1),
('module', 'comment', 'lang-ar', '15508', '16040', 1),
('module', 'comment', 'lang-bg', '15508', '16040', 1),
('module', 'comment', 'lang-ca', '15508', '16040', 1),
('module', 'comment', 'lang-cs', '15508', '16040', 1),
('module', 'comment', 'lang-da', '15508', '16040', 1),
('module', 'comment', 'lang-de', '15508', '16040', 1),
('module', 'comment', 'lang-el', '15508', '16040', 1),
('module', 'comment', 'lang-en_GB', '15508', '16040', 1),
('module', 'comment', 'lang-es_AR', '15508', '16040', 1),
('module', 'comment', 'lang-es_MX', '15508', '16040', 1),
('module', 'comment', 'lang-es', '15508', '16040', 1),
('module', 'comment', 'lang-et', '15508', '16040', 1),
('module', 'comment', 'lang-eu', '15508', '16040', 1),
('module', 'comment', 'lang-fa', '15508', '16040', 1),
('module', 'comment', 'lang-fi', '15508', '16040', 1),
('module', 'comment', 'lang-fr', '15508', '16040', 1),
('module', 'comment', 'lang-ga', '15508', '16040', 1),
('module', 'comment', 'lang-he', '15508', '16040', 1),
('module', 'comment', 'lang-hu', '15508', '16040', 1),
('module', 'comment', 'lang-is', '15508', '16040', 1),
('module', 'comment', 'lang-it', '15508', '16040', 1),
('module', 'comment', 'lang-ja', '15508', '16040', 1),
('module', 'comment', 'lang-ko', '15508', '16040', 1),
('module', 'comment', 'lang-lt', '15508', '16040', 1),
('module', 'comment', 'lang-lv', '15508', '16040', 1),
('module', 'comment', 'lang-nl', '15508', '16040', 1),
('module', 'comment', 'lang-no', '15508', '16040', 1),
('module', 'comment', 'lang-pl', '15508', '16040', 1),
('module', 'comment', 'lang-pt_BR', '15508', '16040', 1),
('module', 'comment', 'lang-pt', '15508', '16040', 1),
('module', 'comment', 'lang-ro', '15508', '16040', 1),
('module', 'comment', 'lang-ru', '15508', '16040', 1),
('module', 'comment', 'lang-sk', '15508', '16040', 1),
('module', 'comment', 'lang-sr', '15508', '16040', 1),
('module', 'comment', 'lang-sv', '15508', '16040', 1),
('module', 'comment', 'lang-tr', '15508', '16040', 1),
('module', 'comment', 'lang-uk', '15508', '16040', 1),
('module', 'comment', 'lang-vi', '15508', '16040', 1),
('module', 'comment', 'lang-zh_CN', '15508', '16040', 1),
('module', 'comment', 'lang-zh_TW', '15508', '16040', 1),
('module', 'ffmpeg', 'base', '1.0.7', '16041', 1),
('module', 'ffmpeg', 'lang-af', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ar', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ca', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-cs', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-da', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-de', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-en_GB', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-es', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-eu', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-fi', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-fr', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ga', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-hu', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-is', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-it', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ja', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ko', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-lt', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-nl', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-no', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-pl', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-pt', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ro', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-ru', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-sk', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-sr', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-sv', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-tr', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-uk', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-vi', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-zh_CN', '15342', '16040', 1),
('module', 'ffmpeg', 'lang-zh_TW', '15342', '16040', 1),
('module', 'rewrite', 'base', '1.1.13', '16041', 1),
('module', 'rewrite', 'lang-af', '15945', '16040', 1),
('module', 'rewrite', 'lang-ar', '15945', '16040', 1),
('module', 'rewrite', 'lang-ca', '15945', '16040', 1),
('module', 'rewrite', 'lang-cs', '15945', '16040', 1),
('module', 'rewrite', 'lang-da', '15945', '16040', 1),
('module', 'rewrite', 'lang-de', '15945', '16040', 1),
('module', 'rewrite', 'lang-en_GB', '15945', '16040', 1),
('module', 'rewrite', 'lang-es', '15945', '16040', 1),
('module', 'rewrite', 'lang-eu', '15945', '16040', 1),
('module', 'rewrite', 'lang-fi', '15945', '16040', 1),
('module', 'rewrite', 'lang-fr', '15945', '16040', 1),
('module', 'rewrite', 'lang-hu', '15945', '16040', 1),
('module', 'rewrite', 'lang-it', '15945', '16040', 1),
('module', 'rewrite', 'lang-ja', '15945', '16040', 1),
('module', 'rewrite', 'lang-ko', '15945', '16040', 1),
('module', 'rewrite', 'lang-lt', '15945', '16040', 1),
('module', 'rewrite', 'lang-nl', '15945', '16040', 1),
('module', 'rewrite', 'lang-no', '15945', '16040', 1),
('module', 'rewrite', 'lang-pl', '15945', '16040', 1),
('module', 'rewrite', 'lang-pt_BR', '15945', '16040', 1),
('module', 'rewrite', 'lang-ro', '15945', '16040', 1),
('module', 'rewrite', 'lang-ru', '15945', '16040', 1),
('module', 'rewrite', 'lang-sk', '15945', '16040', 1),
('module', 'rewrite', 'lang-sr', '15945', '16040', 1),
('module', 'rewrite', 'lang-sv', '15945', '16040', 1),
('module', 'rewrite', 'lang-tr', '15945', '16040', 1),
('module', 'rewrite', 'lang-uk', '15945', '16040', 1),
('module', 'rewrite', 'lang-vi', '15945', '16040', 1),
('module', 'rewrite', 'lang-zh_CN', '15945', '16040', 1),
('module', 'rewrite', 'lang-zh_TW', '15945', '16040', 1),
('module', 'rearrange', 'base', '1.0.5', '16041', 1),
('module', 'rearrange', 'lang-af', '15342', '16040', 1),
('module', 'rearrange', 'lang-ar', '15342', '16040', 1),
('module', 'rearrange', 'lang-bg', '15342', '16040', 1),
('module', 'rearrange', 'lang-ca', '15342', '16040', 1),
('module', 'rearrange', 'lang-cs', '15342', '16040', 1),
('module', 'rearrange', 'lang-da', '15342', '16040', 1),
('module', 'rearrange', 'lang-de', '15342', '16040', 1),
('module', 'rearrange', 'lang-en_GB', '15342', '16040', 1),
('module', 'rearrange', 'lang-es', '15342', '16040', 1),
('module', 'rearrange', 'lang-eu', '15342', '16040', 1),
('module', 'rearrange', 'lang-fi', '15342', '16040', 1),
('module', 'rearrange', 'lang-fr', '15342', '16040', 1),
('module', 'rearrange', 'lang-hu', '15342', '16040', 1),
('module', 'rearrange', 'lang-is', '15342', '16040', 1),
('module', 'rearrange', 'lang-it', '15342', '16040', 1),
('module', 'rearrange', 'lang-ja', '15342', '16040', 1),
('module', 'rearrange', 'lang-ko', '15342', '16040', 1),
('module', 'rearrange', 'lang-lt', '15342', '16040', 1),
('module', 'rearrange', 'lang-nl', '15342', '16040', 1),
('module', 'rearrange', 'lang-no', '15342', '16040', 1),
('module', 'rearrange', 'lang-pl', '15342', '16040', 1),
('module', 'rearrange', 'lang-pt_BR', '15342', '16040', 1),
('module', 'rearrange', 'lang-ro', '15342', '16040', 1),
('module', 'rearrange', 'lang-ru', '15342', '16040', 1),
('module', 'rearrange', 'lang-sk', '15342', '16040', 1),
('module', 'rearrange', 'lang-sr', '15342', '16040', 1),
('module', 'rearrange', 'lang-sv', '15342', '16040', 1),
('module', 'rearrange', 'lang-tr', '15342', '16040', 1),
('module', 'rearrange', 'lang-uk', '15342', '16040', 1),
('module', 'rearrange', 'lang-vi', '15342', '16040', 1),
('module', 'rearrange', 'lang-zh_CN', '15342', '16040', 1),
('module', 'rearrange', 'lang-zh_TW', '15342', '16040', 1),
('module', 'search', 'base', '1.0.5', '16041', 1),
('module', 'search', 'lang-af', '15342', '16040', 1),
('module', 'search', 'lang-ar', '15342', '16040', 1),
('module', 'search', 'lang-bg', '15342', '16040', 1),
('module', 'search', 'lang-ca', '15342', '16040', 1),
('module', 'search', 'lang-cs', '15342', '16040', 1),
('module', 'search', 'lang-da', '15342', '16040', 1),
('module', 'search', 'lang-de', '15342', '16040', 1),
('module', 'search', 'lang-en_GB', '15342', '16040', 1),
('module', 'search', 'lang-es_AR', '15342', '16040', 1),
('module', 'search', 'lang-es', '15342', '16040', 1),
('module', 'search', 'lang-et', '15342', '16040', 1),
('module', 'search', 'lang-eu', '15342', '16040', 1),
('module', 'search', 'lang-fi', '15342', '16040', 1),
('module', 'search', 'lang-fr', '15342', '16040', 1),
('module', 'search', 'lang-ga', '15342', '16040', 1),
('module', 'search', 'lang-hu', '15342', '16040', 1),
('module', 'search', 'lang-is', '15342', '16040', 1),
('module', 'search', 'lang-it', '15342', '16040', 1),
('module', 'search', 'lang-ja', '15342', '16040', 1),
('module', 'search', 'lang-ko', '15342', '16040', 1),
('module', 'search', 'lang-lt', '15342', '16040', 1),
('module', 'search', 'lang-lv', '15342', '16040', 1),
('module', 'search', 'lang-nl', '15342', '16040', 1),
('module', 'search', 'lang-no', '15342', '16040', 1),
('module', 'search', 'lang-pl', '15342', '16040', 1),
('module', 'search', 'lang-pt_BR', '15342', '16040', 1),
('module', 'search', 'lang-pt', '15342', '16040', 1),
('module', 'search', 'lang-ro', '15342', '16040', 1),
('module', 'search', 'lang-ru', '15342', '16040', 1),
('module', 'search', 'lang-sk', '15342', '16040', 1),
('module', 'search', 'lang-sr', '15342', '16040', 1),
('module', 'search', 'lang-sv', '15342', '16040', 1),
('module', 'search', 'lang-tr', '15342', '16040', 1),
('module', 'search', 'lang-uk', '15342', '16040', 1),
('module', 'search', 'lang-vi', '15342', '16040', 1),
('module', 'search', 'lang-zh_CN', '15342', '16040', 1),
('module', 'search', 'lang-zh_TW', '15342', '16040', 1),
('module', 'remote', 'base', '1.0.9', '16041', 1),
('module', 'remote', 'lang-af', '15539', '16040', 1),
('module', 'remote', 'lang-ar', '15539', '16040', 1),
('module', 'remote', 'lang-ca', '15539', '16040', 1),
('module', 'remote', 'lang-cs', '15539', '16040', 1),
('module', 'remote', 'lang-da', '15539', '16040', 1),
('module', 'remote', 'lang-de', '15539', '16040', 1),
('module', 'remote', 'lang-en_GB', '15539', '16040', 1),
('module', 'remote', 'lang-es', '15539', '16040', 1),
('module', 'remote', 'lang-eu', '15539', '16040', 1),
('module', 'remote', 'lang-fi', '15539', '16040', 1),
('module', 'remote', 'lang-fr', '15539', '16040', 1),
('module', 'remote', 'lang-hu', '15539', '16040', 1),
('module', 'remote', 'lang-is', '15539', '16040', 1),
('module', 'remote', 'lang-it', '15539', '16040', 1),
('module', 'remote', 'lang-ja', '15539', '16040', 1),
('module', 'remote', 'lang-ko', '15539', '16040', 1),
('module', 'remote', 'lang-lt', '15539', '16040', 1),
('module', 'remote', 'lang-nl', '15539', '16040', 1),
('module', 'remote', 'lang-no', '15539', '16040', 1),
('module', 'remote', 'lang-pl', '15539', '16040', 1),
('module', 'remote', 'lang-pt_BR', '15539', '16040', 1),
('module', 'remote', 'lang-ro', '15539', '16040', 1),
('module', 'remote', 'lang-ru', '15539', '16040', 1),
('module', 'remote', 'lang-sk', '15539', '16040', 1),
('module', 'remote', 'lang-sr', '15539', '16040', 1),
('module', 'remote', 'lang-sv', '15539', '16040', 1),
('module', 'remote', 'lang-tr', '15539', '16040', 1),
('module', 'remote', 'lang-uk', '15539', '16040', 1),
('module', 'remote', 'lang-vi', '15539', '16040', 1),
('module', 'remote', 'lang-zh_CN', '15539', '16040', 1),
('module', 'remote', 'lang-zh_TW', '15539', '16040', 1),
('module', 'publishxp', 'base', '1.0.7', '16041', 1),
('module', 'publishxp', 'lang-af', '15578', '16040', 1),
('module', 'publishxp', 'lang-ar', '15578', '16040', 1),
('module', 'publishxp', 'lang-ca', '15578', '16040', 1),
('module', 'publishxp', 'lang-cs', '15578', '16040', 1),
('module', 'publishxp', 'lang-da', '15578', '16040', 1),
('module', 'publishxp', 'lang-de', '15578', '16040', 1),
('module', 'publishxp', 'lang-en_GB', '15578', '16040', 1),
('module', 'publishxp', 'lang-es', '15578', '16040', 1),
('module', 'publishxp', 'lang-eu', '15578', '16040', 1),
('module', 'publishxp', 'lang-fi', '15578', '16040', 1),
('module', 'publishxp', 'lang-fr', '15578', '16040', 1),
('module', 'publishxp', 'lang-hu', '15578', '16040', 1),
('module', 'publishxp', 'lang-it', '15578', '16040', 1),
('module', 'publishxp', 'lang-ja', '15578', '16040', 1),
('module', 'publishxp', 'lang-ko', '15578', '16040', 1),
('module', 'publishxp', 'lang-lt', '15578', '16040', 1),
('module', 'publishxp', 'lang-nl', '15578', '16040', 1),
('module', 'publishxp', 'lang-no', '15578', '16040', 1),
('module', 'publishxp', 'lang-pl', '15578', '16040', 1),
('module', 'publishxp', 'lang-ro', '15578', '16040', 1),
('module', 'publishxp', 'lang-ru', '15578', '16040', 1),
('module', 'publishxp', 'lang-sk', '15578', '16040', 1),
('module', 'publishxp', 'lang-sr', '15578', '16040', 1),
('module', 'publishxp', 'lang-sv', '15578', '16040', 1),
('module', 'publishxp', 'lang-tr', '15578', '16040', 1),
('module', 'publishxp', 'lang-uk', '15578', '16040', 1),
('module', 'publishxp', 'lang-vi', '15578', '16040', 1),
('module', 'publishxp', 'lang-zh_CN', '15578', '16040', 1),
('module', 'publishxp', 'lang-zh_TW', '15578', '16040', 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_PluginParameterMap`
-- 

CREATE TABLE `g2_PluginParameterMap` (
  `g_pluginType` varchar(32) NOT NULL default '',
  `g_pluginId` varchar(32) NOT NULL default '',
  `g_itemId` int(11) NOT NULL default '0',
  `g_parameterName` varchar(128) NOT NULL default '',
  `g_parameterValue` text NOT NULL,
  UNIQUE KEY `g_pluginType` (`g_pluginType`,`g_pluginId`,`g_itemId`,`g_parameterName`),
  KEY `g2_PluginParameterMap_80596` (`g_pluginType`),
  KEY `g2_PluginParameterMap_12808` (`g_pluginType`,`g_pluginId`,`g_itemId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_PluginParameterMap`
-- 

INSERT INTO `g2_PluginParameterMap` (`g_pluginType`, `g_pluginId`, `g_itemId`, `g_parameterName`, `g_parameterValue`) VALUES 
('module', 'core', 0, 'permissions.directory', '755'),
('module', 'core', 0, 'permissions.file', '644'),
('module', 'core', 0, 'exec.expectedStatus', '0'),
('module', 'core', 0, 'exec.beNice', '0'),
('module', 'core', 0, 'default.orderBy', 'orderWeight'),
('module', 'core', 0, 'default.orderDirection', '1'),
('module', 'core', 0, 'default.theme', 'matrix'),
('module', 'core', 0, 'default.language', 'es_ES'),
('module', 'core', 0, 'language.useBrowserPref', '0'),
('module', 'core', 0, 'default.newAlbumsUseDefaults', 'false'),
('module', 'core', 0, 'session.lifetime', '1814400'),
('module', 'core', 0, 'session.inactivityTimeout', '604800'),
('module', 'core', 0, 'misc.markup', 'bbcode'),
('module', 'core', 0, 'lock.system', 'flock'),
('module', 'core', 0, 'format.date', '%x'),
('module', 'core', 0, 'format.time', '%X'),
('module', 'core', 0, 'format.datetime', '%c'),
('module', 'core', 0, 'repository.updateTime', '0'),
('module', 'core', 0, 'acceleration', 'a:2:{s:5:"guest";a:1:{s:4:"type";s:4:"none";}s:4:"user";a:1:{s:4:"type";s:4:"none";}}'),
('module', 'core', 0, 'validation.level', 'MEDIUM'),
('module', 'core', 0, 'core.repositories', 'a:1:{s:8:"released";i:1;}'),
('theme', 'matrix', 0, '_version', '1.1.4'),
('theme', 'matrix', 0, '_requiredCoreApi', '7,10'),
('theme', 'matrix', 0, '_requiredThemeApi', '2,4'),
('theme', 'matrix', 0, 'rows', '3'),
('theme', 'matrix', 0, 'columns', '3'),
('theme', 'matrix', 0, 'showImageOwner', '0'),
('theme', 'matrix', 0, 'showAlbumOwner', '1'),
('theme', 'matrix', 0, 'showMicroThumbs', '0'),
('theme', 'matrix', 0, 'sidebarBlocks', 'a:4:{i:0;a:2:{i:0;s:18:"search.SearchBlock";i:1;a:1:{s:16:"showAdvancedLink";b:1;}}i:1;a:2:{i:0;s:14:"core.ItemLinks";i:1;a:1:{s:11:"useDropdown";b:0;}}i:2;a:2:{i:0;s:13:"core.PeerList";i:1;a:0:{}}i:3;a:2:{i:0;s:21:"imageblock.ImageBlock";i:1;a:0:{}}}'),
('theme', 'matrix', 0, 'albumBlocks', 'a:1:{i:0;a:2:{i:0;s:20:"comment.ViewComments";i:1;a:0:{}}}'),
('theme', 'matrix', 0, 'photoBlocks', 'a:2:{i:0;a:2:{i:0;s:13:"exif.ExifInfo";i:1;a:0:{}}i:1;a:2:{i:0;s:20:"comment.ViewComments";i:1;a:0:{}}}'),
('theme', 'matrix', 0, 'dynamicLinks', 'browse'),
('module', 'core', 0, 'id.accessListCompacterLock', '1'),
('module', 'core', 0, 'id.allUserGroup', '2'),
('module', 'core', 0, 'id.adminGroup', '3'),
('module', 'core', 0, 'id.everybodyGroup', '4'),
('module', 'core', 0, 'id.anonymousUser', '5'),
('module', 'core', 0, 'id.rootAlbum', '7'),
('module', 'core', 0, '_version', '1.2.0.1'),
('module', 'core', 0, '_callbacks', 'registerEventListeners|getItemLinks|getSystemLinks|getSiteAdminViews|getUserAdminViews|getItemAdminViews'),
('module', 'core', 0, '_requiredCoreApi', '7,18'),
('module', 'core', 0, '_requiredModuleApi', '3,4'),
('module', 'gd', 0, 'jpegQuality', '75'),
('module', 'gd', 0, '_version', '1.1.1'),
('module', 'gd', 0, '_callbacks', 'getSiteAdminViews'),
('module', 'gd', 0, '_requiredCoreApi', '7,4'),
('module', 'gd', 0, '_requiredModuleApi', '3,0'),
('module', 'slideshow', 0, '_version', '1.0.5'),
('module', 'slideshow', 0, '_callbacks', 'getItemLinks'),
('module', 'slideshow', 0, '_requiredCoreApi', '7,4'),
('module', 'slideshow', 0, '_requiredModuleApi', '3,4'),
('module', 'keyalbum', 0, 'themeId', ''),
('module', 'keyalbum', 0, 'orderBy', ''),
('module', 'keyalbum', 0, 'orderDirection', ''),
('module', 'keyalbum', 0, 'summaryLinks', 'all'),
('module', 'keyalbum', 0, 'description', ''),
('module', 'keyalbum', 0, 'split', ';,'),
('module', 'keyalbum', 0, 'themeSettingsId', '10'),
('module', 'keyalbum', 0, '_version', '1.0.0'),
('module', 'keyalbum', 0, '_callbacks', 'getSiteAdminViews|getItemSummaries'),
('module', 'keyalbum', 0, '_requiredCoreApi', '7,10'),
('module', 'keyalbum', 0, '_requiredModuleApi', '3,2'),
('module', 'icons', 0, 'iconpack', 'silk'),
('module', 'icons', 0, '_version', '1.1.2'),
('module', 'icons', 0, '_callbacks', 'getSiteAdminViews'),
('module', 'icons', 0, '_requiredCoreApi', '7,4'),
('module', 'icons', 0, '_requiredModuleApi', '3,0'),
('module', 'archiveupload', 0, 'unzipPath', '/usr/bin/unzip'),
('module', 'archiveupload', 0, 'removeMeta', '1'),
('module', 'archiveupload', 0, '_version', '1.0.6'),
('module', 'archiveupload', 0, '_callbacks', 'getSiteAdminViews'),
('module', 'archiveupload', 0, '_requiredCoreApi', '7,4'),
('module', 'archiveupload', 0, '_requiredModuleApi', '3,0'),
('module', 'rating', 0, 'allowAlbumRating', '0'),
('module', 'rating', 0, 'themeId', ''),
('module', 'rating', 0, 'orderBy', 'RatingSortOrder'),
('module', 'rating', 0, 'orderDirection', 'desc'),
('module', 'rating', 0, 'minLimit', '2'),
('module', 'rating', 0, 'description', ''),
('module', 'rating', 0, 'themeSettingsId', '12'),
('module', 'rating', 0, '_version', '1.0.8'),
('module', 'rating', 0, '_callbacks', 'getSiteAdminViews|getItemSummaries|registerEventListeners'),
('module', 'rating', 0, '_requiredCoreApi', '7,10'),
('module', 'rating', 0, '_requiredModuleApi', '3,3'),
('module', 'exif', 0, 'addOption', '4'),
('module', 'exif', 0, '_version', '1.1.0'),
('module', 'exif', 0, '_callbacks', 'getSiteAdminViews'),
('module', 'exif', 0, '_requiredCoreApi', '7,10'),
('module', 'exif', 0, '_requiredModuleApi', '3,0'),
('module', 'comment', 0, 'comments.show', '10'),
('module', 'comment', 0, 'comments.latest', '1'),
('module', 'comment', 0, 'validation.level', 'HIGH'),
('module', 'comment', 0, '_version', '1.1.3'),
('module', 'comment', 0, '_callbacks', 'registerEventListeners|getItemLinks|getItemSummaries|getSiteAdminViews|getItemAdminViews'),
('module', 'comment', 0, '_requiredCoreApi', '7,5'),
('module', 'comment', 0, '_requiredModuleApi', '3,0'),
('module', 'rearrange', 0, '_requiredModuleApi', '3,0'),
('module', 'search', 0, '_version', '1.0.5'),
('module', 'search', 0, '_callbacks', ''),
('module', 'search', 0, '_requiredCoreApi', '7,4'),
('module', 'search', 0, '_requiredModuleApi', '3,0'),
('module', 'core', 0, 'smtp.host', ''),
('module', 'core', 0, 'smtp.from', ''),
('module', 'core', 0, 'smtp.username', ''),
('module', 'core', 0, 'cookie.path', ''),
('module', 'core', 0, 'cookie.domain', ''),
('module', 'core', 0, 'smtp.password', ''),
('module', 'rearrange', 0, '_version', '1.0.5'),
('module', 'rearrange', 0, '_callbacks', 'getItemLinks|getItemAdminViews'),
('module', 'rearrange', 0, '_requiredCoreApi', '7,4'),
('module', 'remote', 0, 'showItemAdd', '1'),
('module', 'remote', 0, '_version', '1.0.9'),
('module', 'remote', 0, '_callbacks', 'getSiteAdminViews'),
('module', 'remote', 0, '_requiredCoreApi', '7,4'),
('module', 'remote', 0, '_requiredModuleApi', '3,3'),
('module', 'publishxp', 0, '_version', '1.0.7'),
('module', 'publishxp', 0, '_callbacks', ''),
('module', 'publishxp', 0, '_requiredCoreApi', '7,4'),
('module', 'publishxp', 0, '_requiredModuleApi', '3,0'),
('module', 'core', 0, 'setup.login.attempts', '0');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_RatingCacheMap`
-- 

CREATE TABLE `g2_RatingCacheMap` (
  `g_itemId` int(11) NOT NULL default '0',
  `g_averageRating` int(11) NOT NULL default '0',
  `g_voteCount` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_itemId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_RatingCacheMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_RatingMap`
-- 

CREATE TABLE `g2_RatingMap` (
  `g_ratingId` int(11) NOT NULL default '0',
  `g_itemId` int(11) NOT NULL default '0',
  `g_userId` int(11) NOT NULL default '0',
  `g_rating` int(11) NOT NULL default '0',
  `g_sessionId` varchar(128) default NULL,
  `g_remoteIdentifier` varchar(255) default NULL,
  PRIMARY KEY  (`g_ratingId`),
  KEY `g2_RatingMap_75985` (`g_itemId`),
  KEY `g2_RatingMap_80383` (`g_itemId`,`g_userId`),
  KEY `g2_RatingMap_2369` (`g_itemId`,`g_remoteIdentifier`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_RatingMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_RecoverPasswordMap`
-- 

CREATE TABLE `g2_RecoverPasswordMap` (
  `g_userName` varchar(32) NOT NULL default '',
  `g_authString` varchar(32) NOT NULL default '',
  `g_requestExpires` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_userName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_RecoverPasswordMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_Schema`
-- 

CREATE TABLE `g2_Schema` (
  `g_name` varchar(128) NOT NULL default '',
  `g_major` int(11) NOT NULL default '0',
  `g_minor` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_Schema`
-- 

INSERT INTO `g2_Schema` (`g_name`, `g_major`, `g_minor`) VALUES 
('Schema', 1, 0),
('ExternalIdMap', 1, 0),
('FailedLoginsMap', 1, 0),
('AccessMap', 1, 3),
('AccessSubscriberMap', 1, 0),
('AlbumItem', 1, 1),
('AnimationItem', 1, 0),
('CacheMap', 1, 1),
('ChildEntity', 1, 0),
('DataItem', 1, 0),
('Derivative', 1, 1),
('DerivativeImage', 1, 0),
('DerivativePrefsMap', 1, 0),
('DescendentCountsMap', 1, 0),
('Entity', 1, 2),
('FactoryMap', 1, 0),
('FileSystemEntity', 1, 0),
('Group', 1, 1),
('Item', 1, 2),
('ItemAttributesMap', 1, 0),
('MaintenanceMap', 1, 0),
('MimeTypeMap', 1, 0),
('MovieItem', 1, 0),
('PermissionSetMap', 1, 0),
('PhotoItem', 1, 0),
('PluginMap', 1, 1),
('PluginPackageMap', 1, 1),
('PluginParameterMap', 1, 3),
('RecoverPasswordMap', 1, 1),
('SessionMap', 1, 0),
('TkOperatnMap', 1, 0),
('TkOperatnMimeTypeMap', 1, 0),
('TkOperatnParameterMap', 1, 0),
('TkPropertyMap', 1, 0),
('TkPropertyMimeTypeMap', 1, 0),
('UnknownItem', 1, 0),
('User', 1, 2),
('UserGroupMap', 1, 0),
('Lock', 1, 0),
('RatingCacheMap', 1, 0),
('RatingMap', 1, 0),
('ExifPropertiesMap', 1, 0),
('Comment', 1, 2);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_SequenceId`
-- 

CREATE TABLE `g2_SequenceId` (
  `id` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Daten für Tabelle `g2_SequenceId`
-- 

INSERT INTO `g2_SequenceId` (`id`) VALUES 
(12);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_SequenceLock`
-- 

CREATE TABLE `g2_SequenceLock` (
  `id` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Daten für Tabelle `g2_SequenceLock`
-- 

INSERT INTO `g2_SequenceLock` (`id`) VALUES 
(0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_SessionMap`
-- 

CREATE TABLE `g2_SessionMap` (
  `g_id` varchar(32) NOT NULL default '',
  `g_userId` int(11) NOT NULL default '0',
  `g_remoteIdentifier` varchar(128) NOT NULL default '',
  `g_creationTimestamp` int(11) NOT NULL default '0',
  `g_modificationTimestamp` int(11) NOT NULL default '0',
  `g_data` text,
  PRIMARY KEY  (`g_id`),
  KEY `g2_SessionMap_53500` (`g_userId`,`g_creationTimestamp`,`g_modificationTimestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_SessionMap`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_TkOperatnMap`
-- 

CREATE TABLE `g2_TkOperatnMap` (
  `g_name` varchar(128) NOT NULL default '',
  `g_parametersCrc` varchar(32) NOT NULL default '',
  `g_outputMimeType` varchar(128) default NULL,
  `g_description` varchar(255) default NULL,
  PRIMARY KEY  (`g_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_TkOperatnMap`
-- 

INSERT INTO `g2_TkOperatnMap` (`g_name`, `g_parametersCrc`, `g_outputMimeType`, `g_description`) VALUES 
('convert-to-image/jpeg', '0', 'image/jpeg', 'Convert to a JPEG'),
('scale', '3155881288', NULL, 'Scale the image to the target size, maintain aspect ratio'),
('thumbnail', '3155881288', NULL, 'Scale the image to the target size, maintain aspect ratio'),
('resize', '3155881288', NULL, 'Resize the image to the target dimensions'),
('rotate', '340908721', NULL, 'Rotate the image'),
('crop', '729751051', NULL, 'Crop the image'),
('composite', '1204337430', NULL, 'Overlay source image with a second one'),
('compress', '340908721', NULL, 'Reduce image quality to reach target file size'),
('extract', '0', '', 'extract files from an archive');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_TkOperatnMimeTypeMap`
-- 

CREATE TABLE `g2_TkOperatnMimeTypeMap` (
  `g_operationName` varchar(128) NOT NULL default '',
  `g_toolkitId` varchar(128) NOT NULL default '',
  `g_mimeType` varchar(128) NOT NULL default '',
  `g_priority` int(11) NOT NULL default '0',
  KEY `g2_TkOperatnMimeTypeMap_2014` (`g_operationName`),
  KEY `g2_TkOperatnMimeTypeMap_79463` (`g_mimeType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_TkOperatnMimeTypeMap`
-- 

INSERT INTO `g2_TkOperatnMimeTypeMap` (`g_operationName`, `g_toolkitId`, `g_mimeType`, `g_priority`) VALUES 
('convert-to-image/jpeg', 'Gd', 'image/gif', 21),
('convert-to-image/jpeg', 'Gd', 'image/jpeg', 21),
('convert-to-image/jpeg', 'Gd', 'image/png', 21),
('convert-to-image/jpeg', 'Gd', 'image/vnd.wap.wbmp', 21),
('scale', 'Gd', 'image/gif', 21),
('scale', 'Gd', 'image/jpeg', 21),
('scale', 'Gd', 'image/png', 21),
('scale', 'Gd', 'image/vnd.wap.wbmp', 21),
('thumbnail', 'Gd', 'image/gif', 21),
('thumbnail', 'Gd', 'image/jpeg', 21),
('thumbnail', 'Gd', 'image/png', 21),
('thumbnail', 'Gd', 'image/vnd.wap.wbmp', 21),
('resize', 'Gd', 'image/gif', 21),
('resize', 'Gd', 'image/jpeg', 21),
('resize', 'Gd', 'image/png', 21),
('resize', 'Gd', 'image/vnd.wap.wbmp', 21),
('rotate', 'Gd', 'image/gif', 21),
('rotate', 'Gd', 'image/jpeg', 21),
('rotate', 'Gd', 'image/png', 21),
('rotate', 'Gd', 'image/vnd.wap.wbmp', 21),
('crop', 'Gd', 'image/gif', 21),
('crop', 'Gd', 'image/jpeg', 21),
('crop', 'Gd', 'image/png', 21),
('crop', 'Gd', 'image/vnd.wap.wbmp', 21),
('composite', 'Gd', 'image/gif', 21),
('composite', 'Gd', 'image/jpeg', 21),
('composite', 'Gd', 'image/png', 21),
('composite', 'Gd', 'image/vnd.wap.wbmp', 21),
('compress', 'Gd', 'image/jpeg', 21),
('extract', 'ArchiveUpload', 'application/zip', 5);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_TkOperatnParameterMap`
-- 

CREATE TABLE `g2_TkOperatnParameterMap` (
  `g_operationName` varchar(128) NOT NULL default '',
  `g_position` int(11) NOT NULL default '0',
  `g_type` varchar(128) NOT NULL default '',
  `g_description` varchar(255) default NULL,
  KEY `g2_TkOperatnParameterMap_2014` (`g_operationName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_TkOperatnParameterMap`
-- 

INSERT INTO `g2_TkOperatnParameterMap` (`g_operationName`, `g_position`, `g_type`, `g_description`) VALUES 
('scale', 0, 'int', 'target width (# pixels or #% of full size)'),
('scale', 1, 'int', '(optional) target height, defaults to same as width'),
('thumbnail', 0, 'int', 'target width (# pixels or #% of full size)'),
('thumbnail', 1, 'int', '(optional) target height, defaults to same as width'),
('resize', 0, 'int', 'target width (# pixels or #% of full size)'),
('resize', 1, 'int', 'target height (# pixels or #% of full size)'),
('rotate', 0, 'int', 'rotation degrees'),
('crop', 0, 'float', 'left edge %'),
('crop', 1, 'float', 'top edge %'),
('crop', 2, 'float', 'width %'),
('crop', 3, 'float', 'height %'),
('composite', 0, 'string', 'overlay path'),
('composite', 1, 'string', 'overlay mime type'),
('composite', 2, 'int', 'overlay width'),
('composite', 3, 'int', 'overlay height'),
('composite', 4, 'string', 'alignment type'),
('composite', 5, 'int', 'alignment x %'),
('composite', 6, 'int', 'alignment y %'),
('compress', 0, 'int', 'target size in kb');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_TkPropertyMap`
-- 

CREATE TABLE `g2_TkPropertyMap` (
  `g_name` varchar(128) NOT NULL default '',
  `g_type` varchar(128) NOT NULL default '',
  `g_description` varchar(128) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_TkPropertyMap`
-- 

INSERT INTO `g2_TkPropertyMap` (`g_name`, `g_type`, `g_description`) VALUES 
('dimensions', 'int,int', 'Get the width and height of the image'),
('originationTimestamp', 'int', 'Get the origination timestamp');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_TkPropertyMimeTypeMap`
-- 

CREATE TABLE `g2_TkPropertyMimeTypeMap` (
  `g_propertyName` varchar(128) NOT NULL default '',
  `g_toolkitId` varchar(128) NOT NULL default '',
  `g_mimeType` varchar(128) NOT NULL default '',
  KEY `g2_TkPropertyMimeTypeMap_52881` (`g_propertyName`),
  KEY `g2_TkPropertyMimeTypeMap_79463` (`g_mimeType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_TkPropertyMimeTypeMap`
-- 

INSERT INTO `g2_TkPropertyMimeTypeMap` (`g_propertyName`, `g_toolkitId`, `g_mimeType`) VALUES 
('dimensions', 'Gd', 'image/gif'),
('dimensions', 'Gd', 'image/jpeg'),
('dimensions', 'Gd', 'image/png'),
('dimensions', 'Gd', 'image/vnd.wap.wbmp'),
('dimensions', 'Gd', 'application/x-shockwave-flash'),
('originationTimestamp', 'Exif', 'image/jpeg'),
('originationTimestamp', 'Exif', 'image/pjpeg'),
('originationTimestamp', 'Exif', 'image/jpeg-cmyk'),
('originationTimestamp', 'Exif', 'image/pjpeg-cmyk'),
('originationTimestamp', 'Exif', 'image/x-dcraw');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_UnknownItem`
-- 

CREATE TABLE `g2_UnknownItem` (
  `g_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`g_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_UnknownItem`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_User`
-- 

CREATE TABLE `g2_User` (
  `g_id` int(11) NOT NULL default '0',
  `g_userName` varchar(32) NOT NULL default '',
  `g_fullName` varchar(128) default NULL,
  `g_hashedPassword` varchar(128) default NULL,
  `g_email` varchar(255) default NULL,
  `g_language` varchar(128) default NULL,
  `g_locked` int(1) default '0',
  PRIMARY KEY  (`g_id`),
  UNIQUE KEY `g_userName` (`g_userName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_User`
-- 

INSERT INTO `g2_User` (`g_id`, `g_userName`, `g_fullName`, `g_hashedPassword`, `g_email`, `g_language`, `g_locked`) VALUES 
(5, 'guest', 'Gast', 's7iT2b06400ae2df2d8e31fdffd7b6cd5c3f', NULL, NULL, 0),
(6, 'admin', 'Gallery-Administrator', 'hNC]a3a96dfbccf6e066bd3970cf930c7fdf', 'admin@musterfirma.com', 'de_DE', 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `g2_UserGroupMap`
-- 

CREATE TABLE `g2_UserGroupMap` (
  `g_userId` int(11) NOT NULL default '0',
  `g_groupId` int(11) NOT NULL default '0',
  KEY `g2_UserGroupMap_69068` (`g_userId`),
  KEY `g2_UserGroupMap_89328` (`g_groupId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Daten für Tabelle `g2_UserGroupMap`
-- 

INSERT INTO `g2_UserGroupMap` (`g_userId`, `g_groupId`) VALUES 
(6, 2),
(5, 4),
(6, 4),
(6, 3);
